/* ウィジェットにクラスを追加
	 ========================================================================== */

$(function() {
	$(".widget_nav_menu div, .widget_categories, .widget_pages").addClass("vertical-navi--large");
	$(".widget_recent_entries, .widget_recent_comments, .widget_archive, .widget_meta").addClass("vertical-navi--medium");
});

/* ソーシャルボタンを追加
	 ========================================================================== */

$(function() {

	//twitter
	jQuery(".sb-tweet").append('<a href="https://twitter.com/share" class="twitter-share-button" data-lang="ja">ツイート</a>');
	!function(d,s,id){var js,fjs=d.getElementsByTagName(s)[0],p=/^http:/.test(d.location)?'http':'https';if(!d.getElementById(id)){js=d.createElement(s);js.id=id;js.src=p+'://platform.twitter.com/widgets.js';fjs.parentNode.insertBefore(js,fjs);}}(document, 'script', 'twitter-wjs');

	//b.hatena
	jQuery(".sb-hatebu").append('<a href="http://b.hatena.ne.jp/entry/" class="hatena-bookmark-button" data-hatena-bookmark-layout="simple-balloon" title="このエントリーをはてなブックマークに追加"><img src="http://b.st-hatena.com/images/entry-button/button-only@2x.png" alt="このエントリーをはてなブックマークに追加" width="20" height="20" style="border: none;" /></a><script type="text/javascript" src="http://b.st-hatena.com/js/bookmark_button.js" charset="utf-8" async="async"></script>');

	//g-plus
	jQuery(".sb-gplus").append('<div class="g-plusone" data-size="medium"></div>');
	window.___gcfg = {lang: 'ja'};
	(function() {
	var po = document.createElement('script'); po.type = 'text/javascript'; po.async = true;
	po.src = 'https://apis.google.com/js/platform.js';
	var s = document.getElementsByTagName('script')[0]; s.parentNode.insertBefore(po, s);
	})();

	//facebook
	(function(d, s, id) {
	var js, fjs = d.getElementsByTagName(s)[0];
	if (d.getElementById(id)) return;
	js = d.createElement(s); js.id = id;
	js.async = true;
	js.src = "//connect.facebook.net/ja_JP/all.js#xfbml=1&appId="; //appIdを追加
	fjs.parentNode.insertBefore(js, fjs);
	}(document, 'script', 'facebook-jssdk'));

	jQuery(".sb-fb-like").append('<div class="fb-like" data-width="110" data-layout="button_count" data-action="like" data-show-faces="false" data-share="false"></div>');

});

/* 追尾型広告ウィジェット
	 ========================================================================== */

jQuery(function(){
	$('div.fixed_sidebar-wrapper').exFlexFixed({
	container : 'div.l-container',
	watchPosition : true
	});
	$(this).prop('disabled',true)
});

/* マウスオ－バーで画像を変化
	 ========================================================================== */

jQuery(function(){
	$('a img').hover(function(){
		$(this).attr('src', $(this).attr('src').replace('_off', '_on'));
			}, function(){
				if (!$(this).hasClass('currentPage')) {
				$(this).attr('src', $(this).attr('src').replace('_on', '_off'));
		}
	});
});
